#include	<htc.h>

/*
 *	Interrupt test for PIC 
 *
 *	Copyright (C)1997 HI-TECH Software.
 *	Freely distributable.
 */

static volatile long	count;


void
main(void)
{
	/* setup stuff */

	TRISC = 0xFE;		// Port C bit 0 is output 
	INTE = 1;		// Enable interrupt on TMR0 overflow
	GIE = 1;		// Global interrupt enable
	for(;;)
		CLRWDT();	// Idly kick the dog
}

static void interrupt
isr(void)			// Here be interrupt function - the name is
				// unimportant.
{
	if(INTF)		// Was this a timer overflow?
		count++;		// Add 1 to count 
	INTF = 0;		// Clear interrupt flag, ready for next
	PORTC = count;		// toggle bit 0 of Port B, to show we're alive
}